Package org.opensaml.profile.context.navigate

# Class ParentProfileRequestContextLookup<StartContext extends BaseContext>

java.lang.Object
org.opensaml.messaging.context.navigate.RecursiveTypedParentContextLookup<StartContext,ProfileRequestContext>
org.opensaml.profile.context.navigate.ParentProfileRequestContextLookup<StartContext>

Type Parameters:
  `StartContext` - type of starting context

All Implemented Interfaces:
  `Function<StartContext,ProfileRequestContext>`, `ContextDataLookupFunction<StartContext,ProfileRequestContext>`

public class ParentProfileRequestContextLookup<StartContext extends BaseContext> extends RecursiveTypedParentContextLookup<StartContext,ProfileRequestContext>
A convenience subtype of `RecursiveTypedParentContextLookup` which returns the `ProfileRequestContext` parent of the target `BaseContext`.

## Constructor Summary

Constructors
Constructor
Description
`ParentProfileRequestContextLookup()`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.messaging.context.navigate.RecursiveTypedParentContextLookup

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ParentProfileRequestContextLookup

public ParentProfileRequestContextLookup()
Constructor.